
Redmine - Feature #14462

Previous/next links may be lost after editing the issue

2013-07-15 14:13 - Łukasz Mach

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.3.0   

Resolution: Fixed   

Description

1. click on project,

2. click on issues,

3. get. eg. open issues,

4. review them using "prev"/"next" buttons, until found issue which should be closed (but isn't).

5. click update, set it as resolved/closed

RESULT: prev/next buttons disappears, because current issue gets out of query,

SHOULDBE: prev/next buttons should be visible and should point to issues from last running query.

Similar scenario: review list of unassigned tasks one by one and assign appropriately. Impossible using current next/prev

implementation.

It works like that in Mantis, I believe that list of issue ids is stored somewhere in session, and prev/next gets data from that list.

Related issues:

Has duplicate Redmine - Defect #11006: next previous function not available i... Closed

Has duplicate Redmine - Defect #13053: Prev Next button was not display when ... Closed

Associated revisions

Revision 15253 - 2016-03-19 10:00 - Jean-Philippe Lang

Previous/next links may be lost after editing the issue (#14462).

History

#1 - 2014-04-03 23:54 - Go MAEDA

+1

#2 - 2014-05-19 08:06 - zhiguo Zhu

+2

#3 - 2014-05-19 10:25 - zhiguo Zhu

- File issues_controller.diff added

fix it for redmine-2.5.1

#4 - 2014-06-17 01:22 - Toshi MARUYAMA

zhiguo Zhu wrote:

fix it for redmine-2.5.1

 Please add tests.

#5 - 2014-06-17 01:26 - Toshi MARUYAMA

- Has duplicate Defect #11006: next previous function not available if issue is closed added
#6 - 2015-05-19 11:06 - Rupesh  J

+1

#7 - 2015-05-19 13:07 - zhiguo Zhu

- File issues_controller.diff added

Rupesh  J wrote:

+1

 fix for redmine-3.0.3

#8 - 2015-05-20 01:44 - Go MAEDA

- Target version set to Candidate for next major release

#9 - 2016-03-02 03:40 - Takenori TAKAKI

- File prev_next_button_remember_issues_list_trunk_r15160.patch added

I do appreciate the work of Łukasz Mach and zhiguo Zhu. I would be very happy if I could see the feature in Redmine 3.3.0.

I have updated the patch:

Compatible with latest trunk (r15160)

Added tests

Changed a little bit, to pass the test

#10 - 2016-03-08 08:01 - Go MAEDA

- Target version changed from Candidate for next major release to 3.3.0

The patch updated by Takenori TAKAKI includes tests and works fine.

I think we can merge the fix into trunk. Setting target version to 3.3.0.

#11 - 2016-03-19 10:01 - Jean-Philippe Lang

- Subject changed from prev/next buttons - remember issues list to Previous/next links may be lost after editing the issue

- Category changed from UI to Issues

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r15253. I used a slightly different approach to avoiding loading the query before updating the issue, thanks.

#12 - 2017-01-15 07:50 - Go MAEDA

- Has duplicate Defect #13053: Prev Next button was not display when the query condition was changed added

Files

issues_controller.diff 2.17 KB 2014-05-19 zhiguo Zhu

issues_controller.diff 2.21 KB 2015-05-19 zhiguo Zhu

prev_next_button_remember_issues_list_trunk_r15160.patch 5.33 KB 2016-03-02 Takenori TAKAKI
